# PractitionerRole read

`GET /PractitionerRole/{id}`

This resource defines a practitioner’s specialty, services, or location(s). A practitioner may have different contact or licensing information, depending on the location. Alternatively, the practitioner may change roles over a period of time. For either of these scenarios, you may see multiple <u>PractitionerRole</u> resources for one practitioner.

You can review or retrieve practitioner role records.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `PractitionerRole` resource with details about a practitioner's role at a given location.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | PractitionerRole identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/PractitionerRole/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The PractitionerRole

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: PractitionerRole |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `practitioner` | object | No | Practitioner that is able to provide the defined services for the organization. Must be a resource of type `Practitioner`. |
| `practitioner.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `practitioner.identifier` | object | No | An identifier for the target resource. This is used when there is no way to reference the other resource directly, either because the entity it represents is not available through a FHIR server, or because there is no way for the author of the resource to convert a known identifier to an actual location. There is no requirement that a Reference.identifier point to something that is actually exposed as a FHIR instance, but it SHALL point to a business concept that would be expected to be exposed as a FHIR instance, and that instance would need to be of a FHIR resource type allowed by the reference. |
| `practitioner.identifier.extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `practitioner.identifier.extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `practitioner.identifier.extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `practitioner.identifier.extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `practitioner.identifier.extension[] (String).valueString` | string | No | A single value for the extension. |
| `practitioner.identifier.extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `practitioner.identifier.extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `practitioner.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `practitioner.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `practitioner.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `practitioner.identifier.extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `practitioner.identifier.extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `practitioner.identifier.extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `practitioner.identifier.extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `practitioner.identifier.extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `practitioner.identifier.extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `practitioner.identifier.extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `practitioner.identifier.extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `practitioner.identifier.extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `practitioner.identifier.extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `practitioner.identifier.extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `practitioner.identifier.extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `practitioner.identifier.extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `practitioner.identifier.use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `practitioner.identifier.system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `practitioner.identifier.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `organization` | object | No | The organization where the Practitioner performs the roles associated. Must be a resource of type `Organization`. |
| `organization.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `code` | Array of object | No | Roles which this practitioner is authorized to perform for the organization. |
| `code[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `code[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `code[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `code[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `location` | Array of object | No | The location(s) at which this practitioner provides care. Must be a resource of type `Location`. |
| `location[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |

#### Example role showing a practitioner and a location in which they work

```json
{
  "resourceType": "PractitionerRole",
  "id": "RedoxPractitionerRoleExamplePat",
  "meta": {
    "extension": [
      {
        "url": "https://fhir.redoxengine.com/StructureDefinition/example-sort-order",
        "valueInteger": 1
      }
    ]
  },
  "practitioner": {
    "reference": "Practitioner/RedoxPractitionerExamplePat"
  },
  "location": [
    {
      "reference": "Location/RedoxLocationExampleFacility"
    }
  ]
}
```

#### Example role showing a practitioner, their role, and place of employment. This is often the format used for authors in clinical documents.

```json
{
  "resourceType": "PractitionerRole",
  "id": "RedoxPractitionerRoleAuthor",
  "meta": {
    "extension": [
      {
        "url": "https://fhir.redoxengine.com/StructureDefinition/example-sort-order",
        "valueInteger": 2
      }
    ]
  },
  "code": [
    {
      "coding": [
        {
          "code": "183500000X",
          "system": "http://nucc.org/provider-taxonomy",
          "display": "Pharmacist"
        }
      ]
    }
  ],
  "practitioner": {
    "reference": "Practitioner/RedoxPractitionerExamplePat"
  },
  "organization": {
    "reference": "Organization/RedoxOrganizationPharmacyExample"
  }
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
